### Method

# Gtk TextIter ends_tag

#### Declaration [src]

    gboolean
    gtk_text_iter_ends_tag (
      const GtkTextIter* iter,
      GtkTextTag* tag
    )

#### Description [src]

Returns `TRUE` if `tag` is toggled off at exactly this point.

If `tag` is `NULL`, returns `TRUE` if any tag is toggled off at this point.

Note that if this function returns `TRUE`, it means that `iter` is at the end of the tagged range, but that the character at `iter` is outside the tagged range. In other words, unlike `gtk_text_iter_starts_tag()`, if this function returns `TRUE`, `gtk_text_iter_has_tag()` will return `FALSE` for the same parameters.

#### Parameters

`tag`

  Type: `GtkTextTag`

  A `GtkTextTag`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether `iter` is the end of a range tagged with `tag`.